class RouterPath {
  // 默认的路由
  static const splash = '/';

  static const guide = '/guide'; //指引页面

  //用户
  static const authLogin = '/auth/login'; //用户登录注册
  static const authForgotInput = '/auth/forgot/input'; //忘记密码
  static const authForgotVerify = '/auth/forgot/verify'; //忘记密码校验
  static const authSignUp = '/auth/signup'; //注册
  static const authSignUpVerify = '/auth/signup/verify'; //注册的短信验证
  static const authSignUpSuccess = '/auth/signup/success'; //账号注册成功
  static const authSelectEstate = '/auth/select/estate'; //绑定社区
  static const authSelectUnit = '/auth/select/unit'; //绑定楼栋与房间号
  static const authSelectRole = '/auth/select/role'; //选择角色
  static const authTenantDoc = '/auth/tenant/doc'; //租户的文件上传
  static const authEstateUploadSuccess = '/auth/estate/success'; //Estate上传流程走完
  static const authResetPassword = '/auth/rest_psd'; //重置密码

  //首页
  static const main = '/main';
  static const notification = '/notification';
  static const settings = '/settings';
  static const settingsChangeMobile = '/settings/change/mobile';
  static const settingsResetPassword = '/settings/reset/psd';
  static const homePropertyNews = '/home/property/news';
  static const homeLatestNews = '/home/latest/news';
  static const homeManagementGuides = '/home/management/guides';
  static const visitorRegister = '/visitor/register';
  static const feedbackCreate = '/feedback/create';
  static const feedbackCreateSuccess = '/feedback/create/success';
  static const feedbackDetail = '/feedback/detail';

  //用户
  static const profileEdit = '/profile/edit';
  static const profileEstate = '/profile/estate';
  static const profileHousehold = '/profile/household';
  static const profileMyFollow = '/profile/my/follow';
  static const profileMyPost = '/profile/my/post';

  //社区
  static const community = '/community';
  static const newsfeedNews = 'community/newsfeed_news';
  static const newsfeedFollowing = 'community/newsfeed_following';
  static const newsfeedForYou = 'community/newsfeed_for_you';
  static const garageForSale = 'community/garage_for_sale';
  static const garageForRent = 'community/garage_for_rent';
  static const newsFeedPost = '/newsfeed_post';
  static const newsFeedDetail = '/newsfeed_detail';

  static const garage = '/garage';

  // static const garageForSale = 'garage/garage_for_sale';
  // static const garageForRent = 'garage/garage_for_rent';
  static const garageSalePost = '/garage_sale_post';
  static const garageSaleDetail = '/garage_sale_detail';
  static const myPosts = '/my_posts';
  static const myPostsNewsfeed = 'my_posts/my_posts_newsfeed';
  static const myPostsForSale = 'my_posts/my_posts_for_sale';
  static const myPostsForRent = 'my_posts/my_posts_for_rent';
  static const myFollowing = '/my_following';
  static const myFollowingFollow = 'my_following/follow';
  static const myFollowingFollower = 'my_following/follower';

  //设施
  static const facility = '/facility';
  static const facilityDetail = '/facility/detail';
  static const facilityBook = '/facility/book';
  static const facilityBookConfirm = '/facility/book/confirm';
  static const facilityLocation = '/facility/location';

  //表单
  static const form = '/form';
  static const formAttachment = '/form/attachment';
  static const formPayment = '/form/payment';
  static const formGuestVehicle = '/form/guest/vehicle';
  static const formLargeTextBox = '/form/large/text/box';
  static const formMovingCompany = '/form/moving/company';
  static const formMovingDate = '/form/moving/date';
  static const formNoteManagement = '/form/note/management';
  static const formRenovationCompany = '/form/renovation/company';
  static const formRenovationDate = '/form/renovation/date';
  static const formSignature = '/form/signature';
  static const formTypeOfApplication = '/form/type/application';
  static const formVehicleInfo = '/form/vehicle/info';
  static const formTerms = '/form/terms';
  static const formDetail = '/form/detail';

  //消息板
  static const noticeBoard = '/notice_board';
  static const announ = 'notice_board/announ';
  static const event = 'notice_board/event';
  static const documents = 'notice_board/documents';
  static const announcementDetail = '/notice_board/announcement_detail';
  static const eventDetail = '/notice_board/event_detail';
  static const documentsList = '/notice_board/documents_list';

  //支付
  static const payment = '/payment';
  static const paymentInfo = '/payment/info';
  static const paymentConfirm = '/payment/confirm';
  static const paymentSuccess = '/payment/success';
  static const paymentAddCard = '/payment/add';
  static const paymentChooseCard = '/payment/choose';

  //房屋资产
  static const property = '/property';
  static const propertyIoan = 'property/ioan';
  static const propertyNews = 'property/news';
  static const propertySale = 'property/sale';
  static const propertyRent = 'property/rent';
  static const propertyNewsDetail = '/property_news_detail';

  //奖励
  static const rewards = '/rewards';
  static const rewardsMy = '/rewards_my';
  static const rewardsMyActive = 'rewards_my/active';
  static const rewardsMyExpired = 'rewards_my/expired';
  static const rewardsMyUsed = 'rewards_my/used';
  static const rewardsList = '/rewards_list';
  static const rewardsAddress = '/rewards_address';
  static const rewardsCode = '/rewards_code';
  static const rewardsDetail = '/rewards_detail';
  static const rewardsConfirm = '/rewards_confirm';
  static const rewardsSuccessful = '/rewards_successful';
  static const rewardsRedeem = '/rewards_redeem';
  static const rewardsTransaction = '/rewards_transaction';
  static const rewardsHome = '/rewards_home';
  static const rewardsSearch = '/rewards_search';
  static const rewardsHistory = '/rewards_history';
  static const rewardsHistoryEarned = 'rewards_history/earned';
  static const rewardsHistorySpent = 'rewards_history/spent';
  

  //服务广告
  static const services = '/services';
  static const servicesList = '/services_list';
  static const servicesDetail = '/services_detail';
  static const servicesContact = '/services_detail_contact';

  //全局其他
  static const previewImage = '/preview/image'; //预览图片
  static const globalWeb = '/global/web/:isShowAppBar/:initialUrl/:title'; //全局公用的Web页面

  //Runalone
  static const runAloneMain = '/runalone/main'; //独立运行的入口页面
}
